import json

model = '2.7B'
batch = 128
f = open(f'/home/joel_jang/dongkeun/L2U/configs/main/{model}/{batch}_0.json')
data = json.load(f)
print(data)

for i in range(1, 5):
    alias = f'{batch}_{i}'
    path = f'data/main/lm_extraction_{alias}.csv'
    data['train_sets'][0] = path
    data['check_val_every_n_epoch'] = 10
    data['wandb_run_name'] = f'{model}_{alias}_more'
    with open(f'/home/joel_jang/dongkeun/L2U/configs/main/{model}/{alias}.json', 'w') as fp:
        json.dump(data, fp, indent=4)